Create E-Wallet Payment Link API

This API will help clients to create e-wallet redirect link where the end users will do the payment.

Request Header

Key ParametersData TypeDescription
publicAccessTokenStringOne time access-token generated using the auth token API

Request Parameters

Key ParametersData TypeDescription
amountIntegerAmount that clients wants to transfer, between Rp10.000 - Rp10.000.000
referenceIdStringA unique identifier for the e-wallet payment transaction, generated by the client side (up to 200 char)
ewalletCodeStringThe code representing the e-wallet provider (e.g., "DANA", "LINKAJA").
returnUrlStringThe URL to which the end-user will be redirected after completing the transaction.

Response Parameters

Key parametersData typeDescription
idStringUnique ID generated by Brick
referenceIdStringUnique ID that is generated by the client to track each e-wallet transaction.
amountStringAmount that clients wants to transfer, between Rp10.000 - Rp10.000.000
statusStringThe current status of the payment request. Possible statuses: PENDING, PAID, COMPLETED, EXPIRED, CANCELLED.
ewalletCodeStringThe code representing the e-wallet provider.
redirectUrlStringLink generated by the e-wallet issuer for payment.
createdAtDate TimeThe date and time when the redirect URL was created.
expiredAtDate TimeThe date and time when the redirect URL will expire. Please check the expiry time rules here.

Transaction Expiration Time Guidelines

The table below lists the valid expiration times for e-wallets.

E-Wallet ProviderewalletCodeExpiration Time
DanaDANAValue is fixed to 60 minutes
LinkAjaLINKAJAValue is fixed to 5 minutes
Body Params
int32
required
Defaults to 10000

Amount that clients wants to transfer

string
required
Defaults to Test-Sandbox-01

A unique identifier for the payment transaction, generated by the client side. (Maximum length of 25 characters)

string
required
Defaults to DANA

The code representing the e-wallet provider (e.g., "DANA" for the DANA e-wallet, "LINKAJA" for LinkAja e-wallet).

string
required
Defaults to https://staging-app.onebrick.io

The URL to which the end-user will be redirected after completing the transaction.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json